#!/usr/bin/env bash
set -euo pipefail

source ./scripts/Unix/starter.sh

echo "Shutting down..."
docker compose down
echo "Services were shut down successfully!"

echo "Removing volumes..."
docker volume rm -f evibes_prometheus-data
docker volume rm -f evibes_es-data
echo "Volumes were removed successfully!"

echo "Cleaning up unused Docker data..."
docker system prune -a -f --volumes
echo "Unused Docker data cleaned successfully!"

echo "Removing related files..."
rm -rf ./services_data ./media ./static
echo "Related files removed successfully!"

echo "Bye-bye, hope you return later!"
